summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2017-07-29 20:52:46 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2017-07-31 18:12:13 +0000
commit8d9501aabb721949ac028cf3873e051d6bf4f44f (patch)
tree817ca8f9b809c2931b24ee3187e31285c258e223
parentdev-python/decorator: version bump (diff)
downloadgentoo-8d9501aabb721949ac028cf3873e051d6bf4f44f.tar.gz
gentoo-8d9501aabb721949ac028cf3873e051d6bf4f44f.tar.bz2
gentoo-8d9501aabb721949ac028cf3873e051d6bf4f44f.zip
dev-python/pytools: version bump
Package-Manager: Portage-2.3.6, Repoman-2.3.3
-rw-r--r--dev-python/pytools/Manifest1
-rw-r--r--dev-python/pytools/pytools-2017.4.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/pytools/Manifest b/dev-python/pytools/Manifest
index 7c90e25d3ec..a498672ff2a 100644
--- a/dev-python/pytools/Manifest
+++ b/dev-python/pytools/Manifest
@@ -1,2 +1,3 @@
DIST pytools-2014.3.5.tar.gz 47522 SHA256 62a77a3c1865d5254ce212473da2af04f43d82eb0020ae9a009f97408e74968e SHA512 94d2b51cdd87dd11263fdc7d04040979240dea0e0090da0ff325112df9770aacb0849e20812b90f807024ad3815313bc344307a30add8f6795a70e7ebd6adfaa WHIRLPOOL bc3b4c118627d790a1d5bf07f1a4f9e5a4a76a1b38d43b9e6cd3130b8f8415a87807fef4b82ebda778a255e7ed71616f7c8e515fd20f1dad56bdac28023247bf
DIST pytools-2016.2.6.tar.gz 49708 SHA256 6dd49932b8f81a8b622685cff3dd515e351a9290aef0fd5d020e4df00c06aa95 SHA512 87faf5221982815ffecf8bbe4a81eb211111aa8f893132cb5ed0d23e3464b651dcd5070589972c5dc7fac7c4dce768dfe4e064d8346e637af4bfff36aea17833 WHIRLPOOL d44ca24506e48b6005e528f4e8f8aec94a5835aa0841b24a55327a915bad102ed8d1367f6be699be27ee8feff2134252f7abfe1c74208eae8f2835a282083bba
+DIST pytools-2017.4.tar.gz 51339 SHA256 8a44ed4402c765ba714f2f50b1418beb093cf64de9475ec68dac488da922b399 SHA512 4f588b725bc478303d539851110ad627baa2768d5d013434ca20e36fa315a842d0f7c3adebd5ae948f642fc5b9ad4940fbe1ee6afeaf0f16c4bc937210e9fa19 WHIRLPOOL 2d6a5c6b680c272836794bbf4bece47f8c93cfae0fec8a27943dbb33c699aef9bc0ed2a86dd2f448062d565ce7923ee95d43ce3fcbd81b1a39d9b157e7ebcc0e
diff --git a/dev-python/pytools/pytools-2017.4.ebuild b/dev-python/pytools/pytools-2017.4.ebuild
new file mode 100644
index 00000000000..5fef894d9bf
--- /dev/null
+++ b/dev-python/pytools/pytools-2017.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of tools missing from the Python standard library"
+HOMEPAGE="https://mathema.tician.de/software/pytools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/decorator-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.8.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ >=dev-python/setuptools-0.7.2[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}